## org.jfree.chart.labels
Interface XYToolTipGenerator

All Known Subinterfaces:
  XYZToolTipGenerator

All Known Implementing Classes:
  BoxAndWhiskerXYToolTipGenerator, CustomXYToolTipGenerator, HighLowItemLabelGenerator, StandardXYToolTipGenerator, StandardXYZToolTipGenerator, SymbolicXYItemLabelGenerator

    public interface XYToolTipGenerator

Interface for a tooltip generator for plots that use data from an `XYDataset`.

Method Summary
`java.lang.String` `generateToolTip(XYDataset dataset, int series, int item)` Generates the tooltip text for the specified item.

Method Detail

### generateToolTip

    java.lang.String generateToolTip(XYDataset dataset,
                                     int series,
                                     int item)

  Generates the tooltip text for the specified item.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The tooltip text (possibly `null`).